Skip to main content

How does this works

  • The NIN holder can generate their virtual NIN via the NIMC Mobile App or the NIMC USSD code - *346*3*NIN*EnterpriseCode#.
  • Dojah’s Enterprise code - 1138183
  • The generated VNIN is valid for only 72 hours
  • The vNIN is designed to replace the 11-digit NIN for everyday usage. It is a unique 16-character alphanumeric token comprising 12 digits, sandwiched between 4 alphabets, two on each end, with no correlation to the issuer’s Raw NIN. An example of a vNIN is: AB012345678910YZ.
  • According to NIMC, The VNIN is not to be stored in any database but only used for verifying the NIN holder.

Request

[GET]
{{baseURL}}/api/v1/kyc/vnin
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParameterTypeDescriptionRequired
vnin *stringA uniquely generated virtual ninrequired

Sample response

Response
{
    "entity": {
        "vnin": "AB012345678910YZ",
        "firstname": "John",
        "middlename": "Doe",
        "surname": "Alamutu",
        "user_id": "WXABCD-1234",
        "gender": "M",
        "mobile": "08012345678",
        "dateOfBirth": "YYYY-MM-DD",
        "photo": "/9j/4AAQSkZJRgABAgAAAQABAAD/2wBDAAgGBgc..."
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the vNIN holder’s identity details
entity.vninstringVirtual NIN used for the lookup
entity.firstnamestringFirst name of the vNIN holder
entity.middlenamestringMiddle name of the vNIN holder
entity.surnamestringSurname of the vNIN holder
entity.user_idstringUnique user identifier assigned by NIMC
entity.genderstringGender of the vNIN holder
entity.mobilestringMobile phone number linked to the vNIN
entity.dateOfBirthstringDate of birth in YYYY-MM-DD format
entity.photostringBase64-encoded photograph of the vNIN holder

Test Credentials for Sandbox

Sample = AB012345678910YZ